0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
Microphone Month 5

SweetCare®

When installing Pro Tools LE version 7.4 on my Macintosh computer it always fails to install and gives a error message that says “Errors installing the software, please try again.” What can I do?

This has been known to occur on Mac’s that do not meet the minimum requirement for the operating system version. Pro Tools 7.4 needs to be on a version of the Mac OS that is X.4.9 or greater. Updating the operating system to a more current version will fix this.

–NOTE–

If you do need to update your operating system it is important to NOT use the automatic update feature that is built into the Mac OS as that often leaves out important files that is necessary for Pro Tools. Instead, go to the Apple.com website and download a “Combo” update for your style of Mac (intel or ppc).

Click here for 28,000 answers to your tech questions